Bug 168748 - mercuial backtraces when cloning xen-unstable
mercuial backtraces when cloning xen-unstable
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mercurial (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-19 20:05 EDT by Josh Boyer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 13:14:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Boyer 2005-09-19 20:05:38 EDT
Description of problem:

Mercurial backtraces when cloning xen-unstable.

Version-Release number of selected component (if applicable):

[jwboyer@yoda owners]$ rpm -q mercurial
mercurial-0.6c-1.fc4

How reproducible:

Always

Steps to Reproduce:
1. hg clone http://xenbits.xensource.com/xen-unstable.hg
  
Actual results:


[jwboyer@yoda xen]$ hg clone http://xenbits.xensource.com/xen-unstable.hg
requesting all changes
adding changesets
adding manifests
adding file changes
added 6917 changesets with 0 changes to 0 files
Traceback (most recent call last):
  File "/usr/bin/hg", line 13, in ?
    commands.run()
  File "/usr/lib/python2.4/site-packages/mercurial/commands.py", line 1461, in run
    sys.exit(dispatch(sys.argv[1:]))
  File "/usr/lib/python2.4/site-packages/mercurial/commands.py", line 1571, in
dispatch
    return d()
  File "/usr/lib/python2.4/site-packages/mercurial/commands.py", line 1558, in
<lambda>
    d = lambda: func(u, *args, **cmdoptions)
  File "/usr/lib/python2.4/site-packages/mercurial/commands.py", line 531, in clone
    update(ui, repo)
  File "/usr/lib/python2.4/site-packages/mercurial/commands.py", line 1257, in
update
    return repo.update(node, allow=merge, force=clean)
  File "/usr/lib/python2.4/site-packages/mercurial/hg.py", line 1549, in update
    pa = self.changelog.ancestor(p1, p2)
  File "/usr/lib/python2.4/site-packages/mercurial/revlog.py", line 333, in ancestor
    dist[n] = max(dist[p1], dist[p2]) + 1
KeyError: 'cfBc2a2a12bd6ver.\n\x00\x00'

Expected results:

xen-unstable successfully cloned

Additional info:

I'm not sure if this is a repo problem or a tool problem.  Both the xen-2.0.hg
and xen-2.0-testing.hg repositories clone just fine.

Noticed mercurial-0.7 is out now.  Perhaps an upgrade will fix the problem.
Comment 1 Jeremy Katz 2005-09-20 17:37:03 EDT
Updated to 0.7, but that doesn't seem to fix.  This has been reported upstream
(http://www.selenic.com/pipermail/mercurial/2005-September/004395.html) and I
tend to agree that it feels like a remote repository issue.  
Comment 2 Jeremy Katz 2005-09-21 13:14:09 EDT
The server side was hitting an OOM, which was breaking things

Note You need to log in before you can comment on or make changes to this bug.